For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Workflow Endpoints

List Workflow Runs

GET
https://api.extend.ai/workflow_runs
GET
/workflow_runs
1from extend_ai import Extend, WorkflowRunStatus, SortBy, SortDir
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2025-04-21",
6)
7
8client.workflow_runs.list(
9 status=WorkflowRunStatus.PENDING,
10 sort_by=SortBy.CREATED_AT,
11 sort_dir=SortDir.ASC,
12)
1{
2 "success": true,
3 "workflowRuns": [
4 {
5 "id": "workflow_run_Zk9mNP12Qw4-yTv8BdR3H",
6 "status": "REJECTED",
7 "workflowId": "workflow_BMdfq_yWM3sT-ZzvCnA3f",
8 "workflowName": "Invoice Processing",
9 "workflowVersionId": "workflow_version_Zk9mNP12Qw4-yTv8BdR3H",
10 "createdAt": "2024-03-21T15:29:55Z",
11 "updatedAt": "2024-03-21T16:45:00Z",
12 "initialRunAt": "2024-03-21T15:30:00Z",
13 "reviewedByUser": "jane.doe@example.com",
14 "reviewedAt": "2024-03-21T16:45:00Z",
15 "startTime": "2024-03-21T15:30:00Z",
16 "endTime": "2024-03-21T15:35:00Z",
17 "batchId": "batch_7Ws31-F5",
18 "rejectionNote": "Invalid invoice format"
19 }
20 ],
21 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
22}
List runs of a Workflow. Workflows are sequences of steps that process files and data in a specific order to achieve a desired outcome. A WorkflowRun represents a single execution of a workflow against a file.
Was this page helpful?
Previous

Update Workflow Run

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Query parameters

statusenumOptional
Filters workflow runs by their status. If not provided, no filter is applied. The status of a workflow run: * `"PENDING"` - The workflow run has not started yet * `"PROCESSING"` - The workflow run is in progress * `"NEEDS_REVIEW"` - The workflow run requires manual review * `"REJECTED"` - The workflow run was rejected during manual review * `"PROCESSED"` - The workflow run completed successfully * `"FAILED"` - The workflow run encountered an error * `"CANCELLED"` - The workflow run was cancelled * `"CANCELLING"` - The workflow run is being cancelled
workflowIdstringOptional

Filters workflow runs by the workflow ID. If not provided, runs for all workflows are returned.

Example: "workflow_BMdfq_yWM3sT-ZzvCnA3f"

batchIdstringOptional
Filters workflow runs by the batch ID. This is useful for fetching all runs for a given batch created via the [Batch Run Workflow](https://docs.extend.ai/2025-04-21/developers/api-reference/workflow-endpoints/batch-run-workflow) endpoint. Example: `"batch_7Ws31-F5"`
fileNameContainsstringOptional

Filters workflow runs by the name of the file. Only returns workflow runs where the file name contains this string.

Example: "invoice"

sortByenumOptionalDefaults to updatedAt
Sorts the workflow runs by the given field.
Allowed values:
sortDirenumOptionalDefaults to desc
Sorts the workflow runs in ascending or descending order. Ascending order means the earliest workflow run is returned first.
Allowed values:
nextPageTokenstringOptional
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a `nextPageToken` in the response if there are more results. Note that if other parameters are changed in subsequent requests, you may receive inconsistent data. example: `"xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="`
maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.

Response

You will get a list of summaries for each workflow run. These are shortened versions of the full WorkflowRun object. To get the full object, use the [Get WorkflowRun](https://docs.extend.ai/2025-04-21/developers/api-reference/workflow-endpoints/get-workflow-run) endpoint.
successboolean
workflowRunslist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

example: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="

Errors

400
Bad Request Error
401
Unauthorized Error

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Filters workflow runs by their status. If not provided, no filter is applied.

The status of a workflow run:

  • "PENDING" - The workflow run has not started yet
  • "PROCESSING" - The workflow run is in progress
  • "NEEDS_REVIEW" - The workflow run requires manual review
  • "REJECTED" - The workflow run was rejected during manual review
  • "PROCESSED" - The workflow run completed successfully
  • "FAILED" - The workflow run encountered an error
  • "CANCELLED" - The workflow run was cancelled
  • "CANCELLING" - The workflow run is being cancelled

Filters workflow runs by the batch ID. This is useful for fetching all runs for a given batch created via the Batch Run Workflow endpoint.

Example: "batch_7Ws31-F5"

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

example: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="

You will get a list of summaries for each workflow run. These are shortened versions of the full WorkflowRun object.

To get the full object, use the Get WorkflowRun endpoint.